*
Upload the Customer IDP SAML metadata as a tenant attribute Permission Level: Admin
POST /tenants/onboard-customer-idp-metadata
Operation id: TenantService_OnboardCustomerIdpMetadata
Tags: TenantService
Security
- Authorization (apiKey)
- Bearer token
Responses
200 — A successful response.
Content type: application/json
default — An unexpected error response.
Content type: application/json
Request body
Required: Yes
application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
idpMetadata | string | No | |
tenantId | string | No |
{
"type": "object",
"properties": {
"idpMetadata": {
"type": "string"
},
"tenantId": {
"type": "string"
}
}
}
Response models
200 — A successful response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
saml | object | No |
{
"type": "object",
"properties": {
"saml": {
"type": "object",
"properties": {
"entityId": {
"type": "string",
"description": "Service Provider (SP) entity id for this tenant. Auto-generated. Randomly generated string."
},
"idpMetadataUrl": {
"type": "string",
"description": "Same URL from request.\nThe API only checked that the URL can be accessed and its contents are XML.\nFurther validation and parsing are delegated to Spring Security at authentication time."
},
"spAcsUrl": {
"type": "string"
},
"spSloUrl": {
"type": "string"
},
"spMetadataUrl": {
"type": "string"
},
"idpMetadata": {
"type": "string",
"description": "IDP metadata encoded as base 64. If set, the customer uploaded the IDP metadata instead of providing an IDP metdatada URL."
}
}
}
}
}
default — An unexpected error response.
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer (int32) | No | |
message | string | No | |
details | array | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer",
"format": "int32"
},
"message": {
"type": "string"
},
"details": {
"type": "array",
"items": {
"type": "object",
"properties": {
"@type": {
"type": "string"
}
}
}
}
}
}